package cn.com.qmth.examcloud.service.core.entity;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

/**
 * 机构功能
 * 
 * @author wang wei
 * @date 2018年4月9日
 */
@Entity
@Table(name = "ecs_core_function")
public class OrgFunction implements Serializable {

	private static final long serialVersionUID = -3894524658332441373L;

	@Id
	@GeneratedValue
	private Long id;

	/**
	 * 功能编码
	 */
	@NotNull
	private String funcCode;

	/**
	 * 父功能id
	 */
	@NotNull
	private Long parentId;

	/**
	 * 功能名称
	 */
	@NotNull
	private String funcName;

	/**
	 * 描述
	 */
	@NotNull
	private String description;

	/**
	 * 权重
	 */
	@NotNull
	private int weigth;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getFuncCode() {
		return funcCode;
	}

	public void setFuncCode(String funcCode) {
		this.funcCode = funcCode;
	}

	public Long getParentId() {
		return parentId;
	}

	public void setParentId(Long parentId) {
		this.parentId = parentId;
	}

	public String getFuncName() {
		return funcName;
	}

	public void setFuncName(String funcName) {
		this.funcName = funcName;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public int getWeigth() {
		return weigth;
	}

	public void setWeigth(int weigth) {
		this.weigth = weigth;
	}

}
